<?php
 
 
 

namespace PhpWA\Protocol\Proto\DisappearingMode;

use UnexpectedValueException;




class Initiator
{
    


    const CHANGED_IN_CHAT = 0;
    


    const INITIATED_BY_ME = 1;
    


    const INITIATED_BY_OTHER = 2;
    


    const BIZ_UPGRADE_FB_HOSTING = 3;

    private static $valueToName = [
        self::CHANGED_IN_CHAT => 'CHANGED_IN_CHAT',
        self::INITIATED_BY_ME => 'INITIATED_BY_ME',
        self::INITIATED_BY_OTHER => 'INITIATED_BY_OTHER',
        self::BIZ_UPGRADE_FB_HOSTING => 'BIZ_UPGRADE_FB_HOSTING',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

